oggz-sort(1)

NAME
oggz-sort — Sort the pages of an Ogg file in order of presentation time.

SYNOPSIS

oggz-sort [-o filename | --output filename ] filename

oggz-sort [-h | --help ] [-v | --version ]

Description

oggz-sort sorts an Ogg file, interleaving pages in order of presentation time. It correctly interprets the granulepos timestamps of Ogg CELT, CMML, Dirac, FLAC, Kate, Opus, PCM, Speex, Theora, Vorbis and VP8 bitstreams. Run oggz-known-codecs(1) for a full list of codecs known by the installed version of oggz.

Some encoders produce files with incorrect page ordering; for example, some audio and video pages may occur out of order. Although these files are usually playable, it can be difficult to accurately seek or scrub on them, increasing the likelihood of glitches during playback. Players may also need to use more memory in order to buffer the audio and video data for synchronized playback, which can be a problem when the files are viewed on low-memory devices.

Some older Ogg encoders also produce pages which incorrectly have granulepos timestamps recorded that shouldn't be: pages which have no completed packets must have a granulepos of -1. oggz-sort will correct such granulepos during the process of sorting.

The tool oggz-validate can be used to check the relative ordering of packets in a file, and also to detect incorrect granulepos on pages with no completed packets. If either of these errors are reported, or use oggz-sort to fix the problem.

Options

oggz-sort accepts the following options:

  Miscellaneous options

-o filename, --output filename
    Write output to the specified filename instead of printing it to standard output.

-h, --help
    Display usage information and exit.

-v, --version
    Output version information and exit.

EXAMPLES

Correct the page ordering in broken.ogv:

    oggz sort -o fixed.ogv broken.ogv

AUTHOR

Conrad Parker January 25, 2008;

COPYRIGHT

Copyright © 2008 Annodex Association

SEE ALSO

oggz-validate(1), oggz-merge(1), oggz-dump(1), oggz-diff(1), hogg(1)